% funkce pro výpočet IELF koeficientu
function [ielf_value] = ielfCalc...
         (lower_index, upper_index, delka, data_1, data_2, x_axis)

    % podmínka pro výpočet v případě, že se počáteční koeficient pásma
    % rovná počátečnímu koeficientu frekvenční osy
    if lower_index == 1
        suma = abs(data_1(lower_index)-data_2(lower_index))*...
               (log10(x_axis(lower_index+1))-log10(x_axis(lower_index)));
    else
        suma = 0;
    end

    for i = (lower_index+1):(upper_index-1)
        suma = suma + (abs(data_1(i)-data_2(i))*...
                      ((log10(x_axis(i+1))-log10(x_axis(i-1)))/2));
    end
    
    % podmínka pro výpočet v případě, že se koncový koeficient pásma
    % rovná koncovému koeficientu frekvenční osy
    if (lower_index ~= 1) && (upper_index ~= delka)
        suma = suma + (abs(data_1(upper_index)-data_2(upper_index))*...
                      (log10(x_axis(upper_index))-log10(x_axis(upper_index-1))));
    end
    
    ielf_value = suma/(log10(x_axis(upper_index))-log10(x_axis(lower_index)));

end